# ==================== GUI CONTENT ====================
# You can freely edit items in this section as you wish (add, remove, modify items).
# Get some tips in documentation: https://github.com/nulli0n/NexEngine-spigot/wiki/Menu-Config
# The following values are available for button types:
# ==================================================
Content:
  button_1:
    Slots: 1
    Start_Reward: main
    Start_Animation: redstone_1,redstone_2,redstone_3,tnt_1_1,tnt_1_2,tnt_1_3
    Item:
      Material: REDSTONE_TORCH
      Name: '&c&lIgnite!'
  
  button_2:
    Slots: 4
    Start_Reward: main2
    Start_Animation: redstone_b1,redstone_b2,redstone_b3,tnt_2_1,tnt_2_2,tnt_2_3
    Item:
      Material: REDSTONE_TORCH
      Name: '&c&lIgnite!'
  
  button_3:
    Slots: 7
    Start_Reward: main3
    Start_Animation: redstone_c1,redstone_c2,redstone_c3,tnt_3_1,tnt_3_2,tnt_3_3
    Item:
      Material: REDSTONE_TORCH
      Name: '&c&lIgnite!'
  
  blackpane:
    Slots: 0,9,18,27,36,45,2,11,20,29,38,47,3,12,21,30,39,48,8,17,26,35,44,53,5,14,23,32,41,50,6,15,24,33,42,51,46,49,52
    Item:
      Material: BLACK_STAINED_GLASS_PANE
  
  redstone:
    Slots: 10,19,28,13,22,31,16,25,34
    Item:
      Material: REDSTONE
  
  tnt:
    Slots: 37,40,43
    Item:
      Material: TNT

Rewards:
  main:
    Start_Action: CLICK
    Start_Chance: 33.0
    Start_Delay: 51
    Roll_Times: 1
    Roll_Tick_Interval: 1
    Roll_Slowdown_Every: 0
    Roll_Slowdown_Ticks: 0
    Slots: '37'
    Slots_Mode: INDEPENDENT
    Win_Slots: '37'
  
  main2:
    Start_Action: CLICK
    Start_Chance: 33.0
    Start_Delay: 51
    Roll_Times: 1
    Roll_Tick_Interval: 1
    Roll_Slowdown_Every: 0
    Roll_Slowdown_Ticks: 0
    Slots: '40'
    Slots_Mode: INDEPENDENT
    Win_Slots: '40'
  
  main3:
    Start_Action: CLICK
    Start_Chance: 33.0
    Start_Delay: 51
    Roll_Times: 1
    Roll_Tick_Interval: 1
    Roll_Slowdown_Every: 0
    Roll_Slowdown_Ticks: 0
    Slots: '43'
    Slots_Mode: INDEPENDENT
    Win_Slots: '43'

Animations:
  redstone_1:
    Start_Action: CLICK
    Start_Delay: 5
    Slots: 10
    Mode: SINGLE # TOGETHER SINGLE
    Tick_Interval: 0
    Tick_Sound: BLOCK_REDSTONE_TORCH_BURNOUT
    Items:
      white:
        Material: REDSTONE
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  redstone_2:
    Start_Action: CLICK
    Start_Delay: 15
    Slots: 19
    Mode: SINGLE # TOGETHER SINGLE
    Tick_Interval: 0
    Items:
      white:
        Material: REDSTONE
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  redstone_3:
    Start_Action: CLICK
    Start_Delay: 25
    Slots: 28
    Mode: SINGLE # TOGETHER SINGLE
    Tick_Interval: 0
    Items:
      white:
        Material: REDSTONE
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  tnt_1_1:
    Start_Action: CLICK
    Start_Delay: 35
    Slots: 37
    Mode: SINGLE
    Tick_Interval: 0
    Tick_Sound: ENTITY_TNT_PRIMED
    Items:
      white:
        Material: TNT
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  tnt_1_2:
    Start_Action: CLICK
    Start_Delay: 45
    Slots: 37
    Mode: SINGLE
    Tick_Interval: 0
    Tick_Sound: ENTITY_GENERIC_EXPLODE
    Items:
      white:
        Material: COBWEB
  tnt_1_3:
    Start_Action: CLICK
    Start_Delay: 50
    Slots: 37
    Mode: SINGLE
    Tick_Interval: 0
    Items:
      white:
        Material: GUNPOWDER
  
  
  redstone_b1:
    Start_Action: CLICK
    Start_Delay: 5
    Slots: 13
    Mode: SINGLE # TOGETHER SINGLE
    Tick_Interval: 0
    Tick_Sound: BLOCK_REDSTONE_TORCH_BURNOUT
    Items:
      white:
        Material: REDSTONE
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  redstone_b2:
    Start_Action: CLICK
    Start_Delay: 15
    Slots: 22
    Mode: SINGLE # TOGETHER SINGLE
    Tick_Interval: 0
    Items:
      white:
        Material: REDSTONE
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  redstone_b3:
    Start_Action: CLICK
    Start_Delay: 25
    Slots: 31
    Mode: SINGLE # TOGETHER SINGLE
    Tick_Interval: 0
    Items:
      white:
        Material: REDSTONE
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  tnt_2_1:
    Start_Action: CLICK
    Start_Delay: 35
    Slots: 40
    Mode: SINGLE
    Tick_Interval: 0
    Tick_Sound: ENTITY_TNT_PRIMED
    Items:
      white:
        Material: TNT
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  tnt_2_2:
    Start_Action: CLICK
    Start_Delay: 45
    Slots: 40
    Mode: SINGLE
    Tick_Interval: 0
    Tick_Sound: ENTITY_GENERIC_EXPLODE
    Items:
      white:
        Material: COBWEB
  tnt_2_3:
    Start_Action: CLICK
    Start_Delay: 50
    Slots: 40
    Mode: SINGLE
    Tick_Interval: 0
    Items:
      white:
        Material: GUNPOWDER
  
  
  redstone_c1:
    Start_Action: CLICK
    Start_Delay: 5
    Slots: 16
    Mode: SINGLE
    Tick_Interval: 0
    Tick_Sound: BLOCK_REDSTONE_TORCH_BURNOUT
    Items:
      white:
        Material: REDSTONE
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  redstone_c2:
    Start_Action: CLICK
    Start_Delay: 15
    Slots: 25
    Mode: SINGLE
    Tick_Interval: 0
    Items:
      white:
        Material: REDSTONE
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  redstone_c3:
    Start_Action: CLICK
    Start_Delay: 25
    Slots: 34
    Mode: SINGLE
    Tick_Interval: 0
    Items:
      white:
        Material: REDSTONE
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  tnt_3_1:
    Start_Action: CLICK
    Start_Delay: 35
    Slots: 43
    Mode: SINGLE
    Tick_Interval: 0
    Tick_Sound: ENTITY_TNT_PRIMED
    Items:
      white:
        Material: TNT
        Enchants:
          fortune: 1
        Item_Flags:
        - '*'
  tnt_3_2:
    Start_Action: CLICK
    Start_Delay: 45
    Slots: 43
    Mode: SINGLE
    Tick_Interval: 0
    Tick_Sound: ENTITY_GENERIC_EXPLODE
    Items:
      white:
        Material: COBWEB
  tnt_3_3:
    Start_Action: CLICK
    Start_Delay: 50
    Slots: 43
    Mode: SINGLE
    Tick_Interval: 0
    Items:
      white:
        Material: GUNPOWDER
Settings:
  # Sets the GUI title.
  Title: Opening Crate
  # Sets the GUI size. Must be multiply of 9.
  # Useful for 'CHEST' Inventory Type only.
  Size: 54
  # Sets the GUI type.
  # https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/event/inventory/InventoryType.html
  Inventory_Type: CHEST
  # Sets the GUI auto-refresh interval (in seconds). Set this to 0 to disable.
  Auto_Refresh: 0




